%define upstream_name pylibpcap

Name:           python-%{upstream_name}
Version:        0.6.4
Release:        %mkrel 2
Summary:        Python module for libpcap
Group:          Development/Python
License:        BSD
URL:            http://pylibpcap.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/pylibpcap/pylibpcap/0.6.4/pylibpcap-%{version}.tar.gz
Patch0:         pylibpcap-0.6.4-fix-format-error.patch
BuildRequires:  python-devel
BuildRequires:  pcap-devel

%description
Python module for the libpcap packet capture library, based on the original
python libpcap module by Aaron Rhodes.

%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p 1

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc README ChangeLog COPYING
%{python_sitearch}/_pcapmodule.so
%{python_sitearch}/pcap.py
%{python_sitearch}/pcap.pyc
%{python_sitearch}/pcap.pyo
%{python_sitearch}/pylibpcap-%{version}-*.egg-info


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.6.4-2.mga6
+ Revision: 952285
- Mageia 6 Mass Rebuild

* Tue Feb 10 2015 guillomovitch <guillomovitch> 0.6.4-1.mga5
+ Revision: 814562
- imported package python-pylibpcap

